% function ret = showdata(data,fid,imtitle)
%
% show image, its histogram and cumulative histogram
%
% data     structure:
%  .im      image
%  .h       (optional) histogram
%  .cumh    (optional) cumulative histogram
% fid      (optional) figure id
% imtitle  (optional) image title

function ret = showdata(data,fid,imtitle)

if nargin < 2;
	fid = figure;
else
	figure(fid);
end	

% grayscale image
subplot(1,3,1)
image(data.im)
axis('image')
colormap(gray(256))
if nargin >=3; title(imtitle); end

try data.h; catch data.h=hist(double(data.im(:)),0:255)./prod(size(data.im)); end;

% histogram
subplot(1,3,2)
bar(data.h)
title('histogram')


try data.cumh; catch data.cumh=cumsum(data.h); end;

% cumulative histogram
subplot(1,3,3)
plot(data.cumh)
title('cumulative histogram')

ret = fid;
